Kyoto Tycoon

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

kyototycoon::Pollable Member List
This is the complete list of members for kyototycoon::Pollable, including all inherited members.

descriptor()=0 | kyototycoon::Pollable | `[pure virtual]`
event_flags()=0 | kyototycoon::Pollable | `[pure virtual]`
EventFlag enum name | kyototycoon::Pollable |
EVEXCEPT enum value | kyototycoon::Pollable |
EVINPUT enum value | kyototycoon::Pollable |
EVOUTPUT enum value | kyototycoon::Pollable |
Pollable() | kyototycoon::Pollable | `[explicit]`
Poller (defined in kyototycoon::Pollable) | kyototycoon::Pollable | `[friend]`
set_event_flags(uint32_t flags)=0 | kyototycoon::Pollable | `[pure virtual]`
~Pollable() | kyototycoon::Pollable | `[virtual]`